# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Test'
        db.create_table(u'errata_test', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=255, db_index=True)),
        ))
        db.send_create_signal(u'errata', ['Test'])

        # Adding model 'Release'
        db.create_table(u'errata_release', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('name', self.gf('django.db.models.fields.CharField')(default='6.1', unique=True, max_length=32, db_index=True)),
        ))
        db.send_create_signal(u'errata', ['Release'])

        # Adding model 'Distro'
        db.create_table(u'errata_distro', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=32, db_index=True)),
            ('release', self.gf('django.db.models.fields.related.ForeignKey')(related_name='distros', to=orm['errata.Release'])),
        ))
        db.send_create_signal(u'errata', ['Distro'])

        # Adding unique constraint on 'Distro', fields ['name', 'release']
        db.create_unique(u'errata_distro', ['name', 'release_id'])

        # Adding model 'Package'
        db.create_table(u'errata_package', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=255, db_index=True)),
            ('version', self.gf('django.db.models.fields.CharField')(max_length=255, db_index=True)),
            ('release', self.gf('django.db.models.fields.related.ForeignKey')(related_name='packages', to=orm['errata.Release'])),
            ('distro', self.gf('django.db.models.fields.related.ForeignKey')(related_name='packages', to=orm['errata.Distro'])),
        ))
        db.send_create_signal(u'errata', ['Package'])

        # Adding unique constraint on 'Package', fields ['name', 'version', 'distro', 'release']
        db.create_unique(u'errata_package', ['name', 'version', 'distro_id', 'release_id'])

        # Adding model 'Erratum'
        db.create_table(u'errata_erratum', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('description', self.gf('django.db.models.fields.TextField')(max_length=262000)),
            ('disclosed', self.gf('django.db.models.fields.BooleanField')(default=False, db_index=True)),
            ('cve', self.gf('django.db.models.fields.CharField')(max_length=32, db_index=True)),
            ('launchpad', self.gf('django.db.models.fields.CharField')(max_length=32, db_index=True)),
            ('zendesk', self.gf('django.db.models.fields.CharField')(max_length=32, db_index=True)),
            ('jira', self.gf('django.db.models.fields.CharField')(max_length=32, db_index=True)),
            ('patch_scenario_disclosed', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('patch_scenario', self.gf('django.db.models.fields.TextField')(max_length=262000)),
            ('verify_scenario_disclosed', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('verify_scenario', self.gf('django.db.models.fields.TextField')(max_length=262000)),
            ('tests', self.gf('django.db.models.fields.related.ForeignKey')(related_name='errata', null=True, to=orm['errata.Test'])),
        ))
        db.send_create_signal(u'errata', ['Erratum'])

        # Adding M2M table for field affected_package on 'Erratum'
        db.create_table(u'errata_erratum_affected_package', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('erratum', models.ForeignKey(orm[u'errata.erratum'], null=False)),
            ('package', models.ForeignKey(orm[u'errata.package'], null=False))
        ))
        db.create_unique(u'errata_erratum_affected_package', ['erratum_id', 'package_id'])

        # Adding M2M table for field fixed_package on 'Erratum'
        db.create_table(u'errata_erratum_fixed_package', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('erratum', models.ForeignKey(orm[u'errata.erratum'], null=False)),
            ('package', models.ForeignKey(orm[u'errata.package'], null=False))
        ))
        db.create_unique(u'errata_erratum_fixed_package', ['erratum_id', 'package_id'])


    def backwards(self, orm):
        # Removing unique constraint on 'Package', fields ['name', 'version', 'distro', 'release']
        db.delete_unique(u'errata_package', ['name', 'version', 'distro_id', 'release_id'])

        # Removing unique constraint on 'Distro', fields ['name', 'release']
        db.delete_unique(u'errata_distro', ['name', 'release_id'])

        # Deleting model 'Test'
        db.delete_table(u'errata_test')

        # Deleting model 'Release'
        db.delete_table(u'errata_release')

        # Deleting model 'Distro'
        db.delete_table(u'errata_distro')

        # Deleting model 'Package'
        db.delete_table(u'errata_package')

        # Deleting model 'Erratum'
        db.delete_table(u'errata_erratum')

        # Removing M2M table for field affected_package on 'Erratum'
        db.delete_table('errata_erratum_affected_package')

        # Removing M2M table for field fixed_package on 'Erratum'
        db.delete_table('errata_erratum_fixed_package')


    models = {
        u'errata.distro': {
            'Meta': {'unique_together': "(('name', 'release'),)", 'object_name': 'Distro'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '32', 'db_index': 'True'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'distros'", 'to': u"orm['errata.Release']"})
        },
        u'errata.erratum': {
            'Meta': {'object_name': 'Erratum'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'affected_package': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'errata_affected'", 'symmetrical': 'False', 'to': u"orm['errata.Package']"}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'cve': ('django.db.models.fields.CharField', [], {'max_length': '32', 'db_index': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'max_length': '262000'}),
            'disclosed': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'fixed_package': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'errata_fixed'", 'symmetrical': 'False', 'to': u"orm['errata.Package']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'jira': ('django.db.models.fields.CharField', [], {'max_length': '32', 'db_index': 'True'}),
            'launchpad': ('django.db.models.fields.CharField', [], {'max_length': '32', 'db_index': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'patch_scenario': ('django.db.models.fields.TextField', [], {'max_length': '262000'}),
            'patch_scenario_disclosed': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'tests': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'errata'", 'null': 'True', 'to': u"orm['errata.Test']"}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'verify_scenario': ('django.db.models.fields.TextField', [], {'max_length': '262000'}),
            'verify_scenario_disclosed': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'zendesk': ('django.db.models.fields.CharField', [], {'max_length': '32', 'db_index': 'True'})
        },
        u'errata.package': {
            'Meta': {'unique_together': "(('name', 'version', 'distro', 'release'),)", 'object_name': 'Package'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'distro': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'packages'", 'to': u"orm['errata.Distro']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'db_index': 'True'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'packages'", 'to': u"orm['errata.Release']"}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '255', 'db_index': 'True'})
        },
        u'errata.release': {
            'Meta': {'object_name': 'Release'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'default': "'6.1'", 'unique': 'True', 'max_length': '32', 'db_index': 'True'})
        },
        u'errata.test': {
            'Meta': {'object_name': 'Test'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'db_index': 'True'})
        }
    }

    complete_apps = ['errata']