import json

from django.http import HttpResponse

from security.models import AccessToken

def token_auth(view_func):
    def validate_token(request, *args, **kwargs):
        application = request.META.get(
            'HTTP_X_AUTH_APPLICATION',
            request.GET.get('application'),
        )
        token = request.META.get(
            'HTTP_X_AUTH_TOKEN',
            request.GET.get('token')
        )

        t = AccessToken.objects.filter(
            application=application,token=token)

        if t.count() < 1:
            return HttpResponse(
                content=json.dumps({
                    'status': 'error',
                    'reason': 'Authentication data is absent or invalid',
                }),
                content_type='application/json',
                status='403',
                reason='Forbidden'
            )
        else:
            return view_func(request, *args, **kwargs)
    return validate_token
